function init()
	-------------------------------------------------------
	--------------------- Custom Vars ---------------------
	-------------------------------------------------------
	local random = math.random
	local function uuid()
		local template ='TDT-UUID-yxxx-xxxxxxxxxxxx'
		return string.gsub(template, '[xy]', function (c)
			local v = (c == 'x') and random(0, 0xf) or random(8, 0xb)
			return string.format('%x', v)
		end)
	end

	SetString("savegame.UUID",uuid())
	SetBool("savegame.timerEnable",true)

	-------------------------------------------------------

	t = 0
	showLogo = 0
	showText = 0
	done = false
	splashTime = 20
	requiredTime = 0
end

function tick()
	t = t + GetTimeStep()
	if t > splashTime or (t > requiredTime ) then
		if not done then
			Menu()
			done = true
		end
	end
end

function draw()
	
end